Pull to refresh

Comments 19

UFO landed and left these words here
Судя по тому, что добавлены возможности для управления обновлением, отключить можно. Но точно мне еще не известно.
И достаточно просто — определяем константы в wp-config.php:
# Disables all core updates:
define( 'WP_AUTO_UPDATE_CORE', false );
 
# Enables all core updates, including minor and major:
define( 'WP_AUTO_UPDATE_CORE', true );
 
# Enables core updates for minor releases (default):
define( 'WP_AUTO_UPDATE_CORE', 'minor' );
Почему ужас? Большинству заказчиков, нанимающих студентов за копейки для создания микросайтов — визиток будет полезно. Ведь сколько уже раз видел — сайт был сделан хрен знает когда, ни разу не обновлялся и порос плесенью.

Мне кажется, говорить, что это «ужас» — профессиональный снобизм.
Это ужасно в том случае, если Вам как-раз таки не надо, чтобы CMS самопроизвольно обновлялась, а нужно, чтобы у Вас стояла именно эта версия Wordpress.
Согласен, но я уверен, что это решаемо.
Наверняка решаемо, ибо разработчики не могут поступать так радикально и лишать всех пользователей возможности управлять обновлением.
UFO landed and left these words here
Это уже на самый крайний случай. Стандарты разработчиков Wordpress не то, чтобы запрещают, но сильно не приветствуют вмешательство в ядро.
Здесь нет ничего радикального, автоматически будут ставиться только корректирующие обновления. Например, 3.7.1, 3.7.2 и т.д. Сделано ввиду того, что у вордпресса постоянно вылезают серьезные уязвимости, которые нужно закрыть моментально. Никаких серьезных изменений функционала они не касаются.
А до 3.8, скажем, администратор должен будет обновиться сам.
UFO landed and left these words here
Если плагин или тема перестали работать после обновления движка Wordpress, то это говорит о том, что этот плагин или тема сделаны без соблюдения стандартов, или выражаясь проще — говнокод. Как правило, большинство плагинов, которые работали с версией 2.5, будут прекрасно работать и с 3.7. Но я бы всё равно отключил автообновление — просто не люблю, когда какой-то софт решает, что он умнее разработчика :)
В наше время так, например, делает chrome
Есть целый ряд плагинов, который не успевает обновиться вслед за новой версией вордпресса. Разработчики за этим следят, но конфузы бывают. Поэтому будет очень неинтересно, если ворбпресс автоматически обновится, а какой-то плагин — не успеет и отвалится. В ручном режиме за этим можно следить и пакетно всё обновлять проведя подготовительную работу. В автоматическом — фиг его знает что будет.
Ну опять же, не вникнув в тему поглубже, какие-то необоснованные рассуждения. Я писал об этом уже выше, почитайте.
Ну обоснованными они станут, когда таким образом накатится несколько обновлений, и процесс либо однозначно понравится, либо однозначно нет. Сейчас это просто нытьё перед новинкой сомнительного качества. ;)
Первые обновления начали с небольшого процента сайтов, увеличивая его каждый час.

На текущий момент автоматические обновления доступны для всех англоязычных установок, локализованные должны обновиться чуть позже: http://core.trac.wordpress.org/ticket/25780#comment:2.
Забыл тогда отписать: у меня все сайты синхронно обновились и прислали письма класса «вот мы и обновились, радуйтесь».
Only those users with full accounts are able to leave comments. Log in, please.